> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/access-who-item-connection.md).

# AccessWhoItemConnection

The connection type for paginated lists of `AccessWhoItem`.

```graphql
type AccessWhoItemConnection {
  edges: [AccessWhoItemEdge!]
  limit: Int
  limitedCount: String
  offset: Int
  pageInfo: PageInfo!
  total: Int
}
```

### Fields

#### edges ● [`[AccessWhoItemEdge!]`](/api/graphql/data-access/object-types/access-who-item-edge.md) list object <a href="#edges" id="edges"></a>

The list of edges containing the actual queried items.

#### limit ● [`Int`](/api/graphql/data-access/scalars/int.md) scalar <a href="#limit" id="limit"></a>

The limit used for the query. This can differ from the input limit due to restrictions or defaults.

#### limitedCount ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#limited-count" id="limited-count"></a>

The limited count of the items.

#### offset ● [`Int`](/api/graphql/data-access/scalars/int.md) scalar <a href="#offset" id="offset"></a>

The offset that was used. This will only be filled in if possible (when cursors are sequential numbers).

#### pageInfo ● [`PageInfo!`](/api/graphql/data-access/object-types/page-info.md) non-null object <a href="#page-info" id="page-info"></a>

Pagination information for the retrieved items.

#### total ● [`Int`](/api/graphql/data-access/scalars/int.md) scalar <a href="#total" id="total"></a>

The total count of the items. Preferably use limitedCount instead of total as this is not good for performance.

### Implemented By

[`AccessWhoItemConnectionResult`](/api/graphql/data-access/unions/access-who-item-connection-result.md) union


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/access-who-item-connection.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
